import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
var _excluded = ["title", "children", "className"];
import React from 'react';
import classNames from 'classnames';
import PropTypes from 'prop-types';
import { settings } from '../../globals/js';
var prefix = settings.prefix;

function AnchorNavigation(_ref) {
  var title = _ref.title,
      children = _ref.children,
      className = _ref.className,
      other = _objectWithoutProperties(_ref, _excluded);

  var wrapperClasses = classNames("".concat(prefix, "--anchor-navigation"), className);
  return /*#__PURE__*/React.createElement("div", _extends({
    className: wrapperClasses
  }, other), /*#__PURE__*/React.createElement("div", {
    className: "".concat(prefix, "--anchor-header-title")
  }, title), /*#__PURE__*/React.createElement("div", {
    className: "".concat(prefix, "--anchor-content")
  }, children));
}

AnchorNavigation.propTypes = {
  /**
   * The `title` is represented in the header
   */
  title: PropTypes.string,

  /**
   * The content usually consisting out of `Links`
   */
  children: PropTypes.node,

  /**
   * The CSS class name to be placed on the wrapping element.
   */
  className: PropTypes.string
};
export default AnchorNavigation;